<?php
/*
	Functions used throughout this app
*/

function dbc() {
	// connect to db. die on error.
	global $cfg;
	$sqlCfg = $cfg['mysql'];
	$db = new mysqli($sqlCfg['hostname'], $sqlCfg['username'], $sqlCfg['password'], $sqlCfg['database']);
	if ($db->connect_error) {
		trigger_error("Could not connect to database.", E_USER_ERROR);
		die();
	}
	return $db;
}

function dbq($db, $query, $dieOnError = false) {
	// perform db query. optionally die on error.
	$result = $db->query($query);
	if ($result === false) {
		trigger_error("Database error #{$db->errno} for query {$query}.", E_USER_ERROR);
		if ($dieOnError == true) die();
		else return false;
	} else return $result;
}

function sanitize($string) {
	$pattern = "/[^\w.-\s]/";
	return preg_replace($pattern,"",$string);
}

?>